*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: "Roboto Mono", monospace;
}
body{
    height: 100vh;
    background: linear-gradient( to bottom, rgb(56, 56, 221) 50%, white 50%);
    display: flex;
    justify-content: center;
    align-items: center;
    }
    
    .calc-body {
        border-radius: 10px;
        padding: 20px;
        box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
        background-color: #ffffff;
    }
    
    #input {
        width: 100%;
        height: 40px;
        font-size: 24px;
        text-align: right;
        border: 1px solid #ccc;
        border-radius: 5px;
        margin-bottom: 10px;
        padding-right: 10px;
    }
    
    .buttons {
        display: grid;
        grid-template-columns: repeat(4, 1fr);
        gap: 10px;
    }
    
    input[type="button"]{
        height: 50px;
        font-size: 18px;
        cursor: pointer;
        border: none;
        border-radius: 5px;
        background-color: rgb(56, 56, 221);
        color: white;
        transition: background-color 0.3s;
    }
    
    button:hover {
        background-color: #698cb1;
    }